Bug 487942 - (CVE-2009-0747) CVE-2009-0747 kernel: ext4: ext4_isize() denial of service
CVE-2009-0747 kernel: ext4: ext4_isize() denial of service
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
public=20090107,source=kernelbugzilla...
: Security
Depends On: 487943 487944
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-01 10:49 EST by Eugene Teo (Security Response)
Modified: 2011-10-25 13:41 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-10-25 13:41:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
corrupted image (189.75 KB, application/x-bzip2)
2009-03-01 10:52 EST, Eugene Teo (Security Response)
no flags Details

  None (edit)
Description Eugene Teo (Security Response) 2009-03-01 10:49:34 EST
Description of problem:
Name: CVE-2009-0747
Status: Candidate
URL: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2009-0747
Final-Decision: 
Interim-Decision: 
Modified: 
Proposed: 
Assigned: 20090227
Category: 
Reference: CONFIRM:http://bugzilla.kernel.org/show_bug.cgi?id=12375
Reference: CONFIRM:http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commit;h=06a279d636734da32bb62dd2f7b0ade666f65d7c
Reference: CONFIRM:http://kernel.org/pub/linux/kernel/v2.6/ChangeLog-2.6.27.19
Reference: CONFIRM:http://kernel.org/pub/linux/kernel/v2.6/ChangeLog-2.6.28.7
Reference: VUPEN:ADV-2009-0509
Reference: URL:http://www.vupen.com/english/advisories/2009/0509

The ext4_isize function in fs/ext4/ext4.h in the Linux kernel 2.6.27 before 2.6.27.19 and 2.6.28 before 2.6.28.7 uses the i_size_high structure member during operations on arbitrary types of files, which allows local users to cause a denial of service (CPU consumption and error-message flood) by attempting to mount a crafted ext4 filesystem.
Comment 1 Eugene Teo (Security Response) 2009-03-01 10:52:10 EST
Created attachment 333652 [details]
corrupted image

Steps to reproduce:
bunzip the image file enclosed and mount the image with  mount -t ext4 -o loop
ext4.img /media/tmp
Comment 2 Eugene Teo (Security Response) 2009-03-01 10:52:45 EST
mrg-1 is affected by CONFIG_EXT4DEV_FS is not set by default.
Comment 7 Eugene Teo (Security Response) 2009-03-19 00:17:29 EDT
CVSS2 score of medium, 4.9 (AV:L/AC:L/Au:N/C:N/I:N/A:C)
Comment 8 errata-xmlrpc 2009-09-02 04:01:37 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2009:1243 https://rhn.redhat.com/errata/RHSA-2009-1243.html
Comment 9 errata-xmlrpc 2009-09-02 05:06:47 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2009:1243 https://rhn.redhat.com/errata/RHSA-2009-1243.html
Comment 10 errata-xmlrpc 2009-09-02 08:08:00 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2009:1243 https://rhn.redhat.com/errata/RHSA-2009-1243.html
Comment 13 Kurt Seifried 2011-10-25 13:41:05 EDT
All children bugs closed, parent no longer needed

Note You need to log in before you can comment on or make changes to this bug.